"""Initial migration

Revision ID: 816ed78ccb79
Revises: 
Create Date: 2020-07-25 17:40:13.677921

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '816ed78ccb79'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('tag',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('title', sa.Text(), nullable=True),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_index(op.f('ix_tag_title'), 'tag', ['title'], unique=True)
    op.create_table('user',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('email', sa.Text(), nullable=True),
                    sa.Column('password', sa.Text(), nullable=True),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_index(op.f('ix_user_email'), 'user', ['email'], unique=True)
    op.create_table('post',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('title', sa.Text(), nullable=True),
                    sa.Column('body', sa.Text(), nullable=True),
                    sa.Column('user_id', sa.Integer(), nullable=True),
                    sa.ForeignKeyConstraint(('user_id',), ['user.id'], ondelete='CASCADE'),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_index(op.f('ix_post_user_id'), 'post', ['user_id'], unique=False)
    op.create_table('post_tags',
                    sa.Column('tag_id', sa.Integer(), nullable=False),
                    sa.Column('post_id', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(('post_id',), ['post.id'], ondelete='CASCADE'),
                    sa.ForeignKeyConstraint(('tag_id',), ['tag.id'], ondelete='CASCADE'),
                    sa.PrimaryKeyConstraint('tag_id', 'post_id')
                    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('post_tags')
    op.drop_index(op.f('ix_post_user_id'), table_name='post')
    op.drop_table('post')
    op.drop_index(op.f('ix_user_email'), table_name='user')
    op.drop_table('user')
    op.drop_index(op.f('ix_tag_title'), table_name='tag')
    op.drop_table('tag')
    # ### end Alembic commands ###
